package domain

type AlibabaWdkMarketingItempoolCreateactivityLimitInfo struct {
	/*
	   活动每日总限购 defalutValue:-1    */
	DailyLimitCnt *int64 `json:"daily_limit_cnt,omitempty" `

	/*
	   每人每日限购 defalutValue:-1    */
	UserDailyLimitCnt *int64 `json:"user_daily_limit_cnt,omitempty" `

	/*
	   每人活动期间总限购 defalutValue:-1    */
	UserLimitCnt *int64 `json:"user_limit_cnt,omitempty" `

	/*
	   活动期间总限购 defalutValue:-1    */
	TotalLimitCnt *int64 `json:"total_limit_cnt,omitempty" `
}

func (s *AlibabaWdkMarketingItempoolCreateactivityLimitInfo) SetDailyLimitCnt(v int64) *AlibabaWdkMarketingItempoolCreateactivityLimitInfo {
	s.DailyLimitCnt = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolCreateactivityLimitInfo) SetUserDailyLimitCnt(v int64) *AlibabaWdkMarketingItempoolCreateactivityLimitInfo {
	s.UserDailyLimitCnt = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolCreateactivityLimitInfo) SetUserLimitCnt(v int64) *AlibabaWdkMarketingItempoolCreateactivityLimitInfo {
	s.UserLimitCnt = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolCreateactivityLimitInfo) SetTotalLimitCnt(v int64) *AlibabaWdkMarketingItempoolCreateactivityLimitInfo {
	s.TotalLimitCnt = &v
	return s
}
